import os
import unittest

suite = unittest.TestSuite()
tests = filter(lambda x: x.startswith('test') and x.endswith('.py'), os.listdir(os.path.dirname(__file__)))
for test in tests:
    tm = __import__(test[:-3])
    suite.addTest(tm.suite())

unittest.TextTestRunner(verbosity=2).run(suite)
